gnutls_dh_params_import_pkcs3(3)

NAME
gnutls_dh_params_import_pkcs3 - import DH params from a pkcs3 structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_import_pkcs3(gnutls_dh_params_t params, const gnutls_datum_t * pkcs3_params, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_dh_params_t params
    A structure where the parameters will be copied to

const gnutls_datum_t * pkcs3_params
    should contain a PKCS3 DHParams structure PEM or DER encoded

gnutls_x509_crt_fmt_t format
    the format of params. PEM or DER.

DESCRIPTION
This function will extract the DHParams found in a PKCS3 formatted structure. This is the format generated by "openssl dhparam" tool. If the structure is PEM encoded, it should have a header of "BEGIN DH PARAMETERS".

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.